//-----------------------------------------------------------
//
//-----------------------------------------------------------
class MSBBoneRotationNode extends MSBScriptNode;

var Actor BoneActor;
var name BoneName;
var int Yaw,Pitch,Roll;
var rotator BoneRotation;

function fillSequence()
{
 local MSBAction_RotateBone rb;

 Super.fillsequence();

 BoneRotation.Yaw=0;
 BoneRotation.Pitch=0;
 BoneRotation.Roll=0;
 //create new Jump Action and set our Properties

 rb=new(None) class'MSBAction_RotateBone';
 rb.BoneRotation.Yaw=Yaw;
 rb.BoneRotation.Pitch=Pitch;
 rb.BoneRotation.Roll=Roll;

 rb.BoneName=BoneName;
 rb.BoneActor=BoneActor;

 Actions[0]=rb;
}

function Execute(string Data)
{

BoneRotation.Yaw+=Yaw;
BoneRotation.Pitch+=Pitch;
BoneRotation.Roll+=Roll;

BoneActor.SetBoneRotation(BoneName,BoneRotation);
}

defaultproperties
{
Description="MoveTarget"
}
