//-----------------------------------------------------------
//    now supports MSBSpritePawns as well!
//-----------------------------------------------------------
class MSBMoveToNode extends MSBScriptNode;

var bool isWalking;
var Actor MoveTarget;
var Actor ViewTarget;

function fillSequence()
{
local MSBAction_MoveSprite ms;
local Action_MoveToPoint mt;
local Action_WaitForTimer wt;
local Action_WALK wlk;
local float Distance;
local MSBAction_RotateTo rt;

Super.fillsequence();

 //create new MoveToPoint Action and set our Properties
rt=new(None) class'MSBAction_RotateTo';
rt.ViewTarget=ViewTarget;

 //create new MoveToPoint Action and set our Properties
wt=new(None) class'Action_WaitForTimer';
wt.PauseTime=0.2;

if (sP!=None && MoveTarget!=None)
  {
  ms=new(None) class'MSBAction_MoveSprite';
  ms.Movetarget=MoveTarget;
  ms.sP=sP;
  rt.sP=sP;
  Distance=VSize(sP.Location-MoveTarget.Location);
  wt.PauseTime=Distance/sP.Speed;
  Actions[0]=rt;
  Actions[1]=ms;
  Actions[2]=wt;
  }

else if (MoveTarget!=None)
  {
  mt=new(None) class'Action_MoveToPoint';
  mt.Movetarget=MoveTarget;
  if (isWalking)
    {
    wlk=new(None) class'Action_WALK';
    Actions[0]=wlk;
    Actions[1]=rt;
    Actions[2]=mt;
    Actions[3]=wt;
    }
  else
    {
    Actions[0]=rt;
    Actions[1]=mt;
    Actions[2]=wt;
    }
  }
}


defaultproperties
{
Description="MoveTarget"
}
