//-----------------------------------------------------------
//
//-----------------------------------------------------------
class MSBPropertyButton extends MSBTwoStepButton;

var Actor Parent;
var string Property;
var string Value;
var bool bVaporiseValue;
var bool bRenderToTextured;

function InitButton(Canvas C)
{

local array<String> strArr;
local int i;

super.initButton(C);

if (xPos>C.clipX-width)
  xPos=C.ClipX-width*2;
if (yPos>C.clipY-height)
  yPos=C.ClipY-height*2;

C.SetPos(xPos,yPos);
C.SetDrawColor(textCol.R,textCol.G,textCol.B);

if (float(Value)==0)
  i=Split(Value,".",strArr);

if (BtnName=="")    //Property gives name
  C.DrawText(Property);

else
  C.DrawText(BtnName);

C.SetDrawColor(col.R,col.G,col.B);
C.SetPos(xpos,ypos);
}

function LeftBtn(Canvas C)
{
super.LeftBtn(C);
if (Value=="" && Parent!=None && Property!="")
  Value=Parent.GetPropertyText(Property);
if (Value=="" && BtnName!="")
  Value=BtnName;
if (Value=="" && Parent!=None && Parent.IsA('MSBNodeButton'))
  Value=MSBNodeButton(Parent).Order.GetPropertyText(Property);

M.MInteract.TypedStr=Value;
Mouse.TextInput=Value;
}

defaultproperties
{
widthRel=74
heightRel=24
Mat=Texture'MoviesandboxTextures.Icons.Node'
tooltip=""
tooltip1=""
tooltip2=""
bVaporiseValue=true
bRenderToTextured=false
}
