//-----------------------------------------------------------
//
//-----------------------------------------------------------
class MSBLevelSelectButton extends MSBListButton;


var() array<CacheManager.MapRecord> MyMapList;
var string MapName;

event PostBeginPlay()
{
local int i;

super.PostBeginPlay();
class'CacheManager'.static.GetMapList( MyMapList );
for (i=0;i<MyMapList.length;i++)
  ButtonList[i]="MSBPropertyButtons.MSBPropertyButtonAssign";
}

function LeftBtn(Canvas C)                      //spawns subButtons
{
local int i;
super.LeftBtn(C);
for (i=currentpage*maxListSize;i<maxButtons; i++)
  {
    MSBPropertyButtonAssign(ListButton[i]).Parent=M;
    MSBPropertyButtonAssign(ListButton[i]).Property="editLevel";
    MSBPropertyButtonAssign(ListButton[i]).BtnName=MyMapList[i].MapName;
    MSBPropertyButtonAssign(ListButton[i]).tooltip=MyMapList[i].MapName;
  }
}

function positionButton(Canvas C, int i)
{
//horizontal alignment
ListButton[i].widthRel=128;
ListButton[i].relativeWidthHeight();

if (ListButton[i].height<60)
  ListButton[i].xPos=xpos-ListButton[i].width-16;

//vertical alignment
if (i>currentpage*maxListSize)
  {
  ListButton[i].yPos=ListButton[i-1].ypos+ListButton[i-1].height+1;
  if (ListButton[i].yPos+ListButton[i].height>C.ClipY && ListButton[i].height<60)
    {
    ListButton[i].ypos=yPos-(i*ListButton[i].height+height+1);
    }
  }
else
  ListButton[i].yPos=ypos;
}


function initButton(Canvas C)
{
if (M.screenX>800)
  C.Font=Font(DynamicLoadObject(FontNameMedium, class'Font'));
else
  C.Font=Font(DynamicLoadObject(FontNameSmall, class'Font'));

C.SetPos(xpos+width,ypos);
C.SetDrawColor(col.R,col.G, col.B, col.A);
C.SetPos(xPos,yPos);
if (Mat!=None)
    C.DrawTile(Mat,width,height,0,0,U,V);
C.SetPos(xPos+width+8,yPos);
C.SetDrawColor(128,0,0,255);
C.DrawText("is"@MSBMainMenuController(M).editLevel);
}


DefaultProperties
{
widthRel=128
heightRel=32
Mat=Texture'MoviesandboxTextures.Icons.editLevel'
BtnName=""
tooltip=""
//Property="editLevel"
tooltipcol=(R=0,G=0,B=0)
maxListSize=6
}
