//-----------------------------------------------------------
//
//-----------------------------------------------------------
class MSBTrailEmitter extends Emitter;

var vector c;
var bool bInvisible;
var bool bTimed;

function tick(float DeltaTime)
{
Emitters[0].StartSizeRange.X.Min=70*DrawScale;
Emitters[0].StartSizeRange.X.Max=70*DrawScale;

c.X=FRand();
c.Y=FRand();
c.Z=FRand();
setColor();
}

function setColor()
{
Emitters[0].ColorMultiplierRange.X.Min=c.X;
Emitters[0].ColorMultiplierRange.Y.Min=c.Y;
Emitters[0].ColorMultiplierRange.Z.Min=c.Z;

Emitters[0].ColorMultiplierRange.X.Max=c.X;
Emitters[0].ColorMultiplierRange.Y.Max=c.Y;
Emitters[0].ColorMultiplierRange.Z.Max=c.Z;
}

event  Trigger(Actor Other, Pawn EventInstigator)
{
super.Trigger(Other,EventInstigator);
if (bInvisible)
  {
  Emitters[0].Reset();
  Emitters[0].Disabled=false;
  Emitters[0].ParticlesPerSecond=10;
  if (!Other.IsA('ScriptedTriggerController'))
    {
    if (DrawScale==1)
      {
      Emitters[0].StartVelocityRange.Z.Min=30;
      Emitters[0].StartVelocityRange.Z.Max=45;
      }
    SetTimer(2* 1/DrawScale,false);
    }
  Emitters[0].RespawnDeadParticles=true;
  bInvisible=false;
  Log("Setting up the Emitter"@other);
  }
}

event Timer()
{
Emitters[0].RespawnDeadParticles=false;
Emitters[0].ParticlesPerSecond=0;
Log("Timer out!");
bInvisible=true;
}


DefaultProperties
{
    Begin Object Class=SpriteEmitter Name=SpriteEmitter0
        Disabled=true
        FadeOut=True
        FadeIn=True
        ResetAfterChange=True
        RespawnDeadParticles=True
        UniformSize=True
        AutomaticInitialSpawning=False
        FadeOutStartTime=3.000000
        FadeInEndTime=1.000000
        MaxParticles=20
        ColorMultiplierRange=(X=(Min=1,Max=1),Y=(Min=0,Max=0),Z=(Min=0,Max=0))
        Opacity=0.4
        StartSizeRange=(X=(Min=50.000000,Max=50.000000))
        ParticlesPerSecond=5.000000
        InitialParticlesPerSecond=5.000000
        DrawStyle=PTDS_Add
        Texture=Texture'MovieSandboxTextures.SoftSpot'
        LifetimeRange=(Min=4.000000,Max=4.000000)
    End Object
    Emitters(0)=SpriteEmitter'MSBTrailEmitter.SpriteEmitter0'
bStatic=false
bNoDelete=false
bMovable=true
Physics=PHYS_Flying
bInvisible=true
}
