//-----------------------------------------------------------
//
//-----------------------------------------------------------
class MSBPropertyButtonPoseList extends MSBPropertyButtonComplex;

function fillButtonList()
{
local int i;

for (i=0;i<M.SavePoses.length;i++)
  {
  ButtonProperty[i]=M.SavePoses[i];
  ButtonName[i]=M.SavePoses[i];
  ButtonList[i]="MSBPropertyButtons.MSBPropertyButtonAssign";
  }
}

event Trigger(Actor Other,Pawn EventInstigator)
{
local int i;

for (i=0;i<ListButton.length;i++)
  {
  if (Other==ListButton[i])
    {
    if (Parent.IsA('MSBPropertyButtonPad'))
      MSBPropertyButtonPad(Parent).AssignPoseToButton(self,i);
    if (Parent.IsA('MSBNodeButton'))
      MSBNodeButton(Parent).Order.SetPropertyText(Property,M.SavePoses[i]);
    }
  }
}


function MouseOver(Canvas C)
{
super.MouseOver(C);
C.SetPos(xpos+width,ypos);
if (Parent.IsA('MSBPropertyButtonPad'))
  C.DrawText(MSBPawn(MSBPropertyButtonPad(Parent).Parent).PoseName[int(BtnName)-1]);
}

DefaultProperties
{
Col=(R=128,G=64,B=64)
maxListSize=12
}
