//-----------------------------------------------------------
//
//-----------------------------------------------------------
class MSBPropertyButtonScale extends MSBPropertyButton;

var float chgScale;

var float oldX,
          oldY;

var EPhysics OldPhysics;

function Render(Canvas C)
{
super.Render(C);
if (bEnabled)
 {
  if (bDragged)
    {
    chgScale=(Mouse.xPos-oldX);
    chgScale-=(Mouse.yPos-oldY);

    if (chgScale< 0)
      chgScale=-0.01;
    if (chgScale>0)
      chgScale=0.01;

    Parent.SetDrawScale(Parent.DrawScale+chgScale);
    Mouse.xPos=oldX;
    Mouse.yPos=oldY;
    chgScale=0;
    }

 if (hasClicked && Mouse.btnOne)
    {
    hasClickedAgain=true;
    LeftBtnFinished(C);
    hasClickedAgain=false;
    }
 }
}

function LeftBtn(Canvas C)
{
super.LeftBtn(C);
bDragged=true;
Mouse.bHitActors=false;
oldX=Mouse.xPos;
oldY=Mouse.yPos;
OldPhysics=Parent.Physics;
Parent.SetPhysics(PHYS_None);
M.disableMidLayer();
}

function LeftBtnFinished(Canvas C)
{
local int i;

HasClicked=false;
//enable all other buttons after second press
for (i=0;i<M.myHud.Overlays.Length-1;i++)
  if (M.myHud.Overlays[i].IsA('MSBGuiOverlay'))
    MSBGuiOverlay(M.myHud.Overlays[i]).bEnabled=true;

Mouse.btnOne=false;
bDragged=false;

//if we scale a Pawn, then set Collision appropriately
Parent.SetCollisionSize(Parent.DrawScale*Parent.CollisionRadius,Parent.DrawScale*Parent.CollisionHeight);
Parent.SetPhysics(OldPhysics);
Mouse.bHitActors=true;
M.enableMidLayer();
}

DefaultProperties
{
BtnName="Scale"
}
