class MSBPropertyButtonViewport extends MSBPropertyButton;

var int fov;

function InitButton(Canvas C)
{
//super.InitButton(C);
if (ypos+height>C.clipY)
  {
  ypos=C.ClipY-height-4;
  }
}

function Render(Canvas C)
{
super.Render(C);
C.SetPos(xpos,ypos);
if (Parent.IsA('MSBCamera') && MSBCamera(Parent).FOV>0)
  fov=MSBCamera(Parent).FOV;
C.DrawPortal(xpos+2,ypos+2,width-4,height-4,self,Parent.Location,Parent.Rotation,fov,false);
drawBorder(C);
}

function DrawBorder(Canvas C)
{
C.SetPos(xpos,ypos);
C.DrawTile(Mat,width,2,0,0,width,2);
C.SetPos(xpos+width,ypos);
C.DrawTile(Mat,2,height,0,0,2,height);
C.SetPos(xpos,ypos);
C.DrawTile(Mat,2,height,0,0,2,height);
C.SetPos(xpos,ypos+height);
C.DrawTile(Mat,width,2,0,0,width,2);
}


function LeftBtn(Canvas C)
{
super.LeftBtn(C);
}

function RightBtn(Canvas C)
{
super.RightBtn(C);
}

defaultproperties
{
fov=90;
tooltip2="View from Actor"
col=(A=0);
Mat=Texture'MoviesandboxTextures.Icons.Node'
widthRel=240
heightRel=160
bRenderToTextured=true
}

