//-----------------------------------------------------------
//
//-----------------------------------------------------------
class MSBPropertyButtonRotateBlocks extends MSBPropertyButton;

var float xDist,
          yDist,
          oldX,
          oldY;

var rotator chgRot;

var bool bShift;

var EPhysics OldPhysics;

function InitButton(Canvas C)
{
local int i;
local vector iniLoc;

if (bDragged)
  {
  if (bShift)
    chgRot.Roll=100*(Mouse.xPos-oldx);
  else
     {
     chgRot.Yaw=100*(Mouse.xPos-oldX);
     chgRot.Pitch=100*(Mouse.yPos-oldY);
     }

  Mouse.xPos=oldX;
  Mouse.yPos=oldY;

  for (i=0;i<MSBMasterBlock(Mouse.lastSelectedActor).S.length;i++)
    {
    iniLoc=MSBMasterBlock(Mouse.lastSelectedActor).S[i].iniRelLocation;
    MSBMasterBlock(Mouse.lastSelectedActor).S[i].iniRelLocation=iniLoc >> chgRot;
    }
  chgRot=0*chgRot;
  }
super.initButton(C);
}


function Render(Canvas C)
{
super.Render(C);
if (bEnabled)
 {
 if (hasClicked && Mouse.btnOne)
    {
    hasClickedAgain=true;
    LeftBtnFinished(C);
    hasClickedAgain=false;
    }
 if (hasClicked && Mouse.bShiftDown && !bShift)
    PressShift(C);
 }
if (!Mouse.bShiftDown)
 bShift=false;
}

function PressShift(Canvas C)
{
bShift=true;
}


function LeftBtn(Canvas C)
{
super.LeftBtn(C);
bDragged=true;
Mouse.bHitActors=false;

OldPhysics=Parent.Physics;
Parent.SetPhysics(PHYS_None);
oldX=Mouse.xPos;
oldY=Mouse.yPos;
M.disableMidLayer();
}

function LeftBtnFinished(Canvas C)
{
local int i;
local MSBNodeButton N;

HasClicked=false;
//enable all other buttons after second press
for (i=0;i<M.myHud.Overlays.Length-1;i++)
  if (M.myHud.Overlays[i].IsA('MSBGuiOverlay'))
    MSBGuiOverlay(M.myHud.Overlays[i]).bEnabled=true;

Mouse.btnOne=false;
bDragged=false;

//if we move a Pawn, then set InitialRotation in depending MSBRootNode
Parent.SetPhysics(OldPhysics);

for (i=0; i<Mouse.selectedActor.length;i++)
{
 if (Mouse.selectedActor[i].IsA('Pawn'))
  {
  foreach AllActors(class'MSBNodeButton',N)
    if (N.Order.IsA('MSBRootNode') && MSBRootNode(N.Order).BasePawn==Pawn(Mouse.selectedActor[i]))
       MSBRootNode(N.Order).initialRotation=Mouse.selectedActor[i].Rotation;
   }

 if (Mouse.selectedActor[i].IsA('MSBSpritePawn'))
  {
  foreach AllActors(class'MSBNodeButton',N)
    if (MSBSpriteNode(N.Order).BasePawn==MSBSpritePawn(Mouse.selectedActor[i]))
      MSBSpriteNode(N.Order).initialRotation=Mouse.selectedActor[i].Rotation;
  }

 if (Mouse.selectedActor[i].IsA('MSBCamera'))
  MSBCamera(Parent).initialRotation=Mouse.selectedActor[i].Rotation;
}
Mouse.bHitActors=true;
M.enableMidLayer();
}

DefaultProperties
{
BtnName="Rotate"
}
