//-----------------------------------------------------------
//
//-----------------------------------------------------------
class MSBChangeSkinNode extends MSBScriptNode;

var Actor Target;
var int skinNumber;
var string newSkin;
var Material oldSkin;

function fillSequence()
{
 local MSBAction_changeSkin acs;

 super.fillSequence();

 //create new Action and set our Properties
 acs=new(none) class'MSBAction_changeSkin';
 oldSkin=Target.Skins[skinNumber];
 acs.A=Target;
 acs.skinNo=skinNumber;
 acs.Mat=Material(DynamicLoadObject(newskin,class'Material',true));
 Actions[0]=acs;
}

function execute(string Data)
{
local Material Mat;

Mat=Material(DynamicLoadObject(newskin,class'Material',true));

if (Target!=None && Mat!=None)
  {
  Target.Skins[skinNumber]=Mat;
  Target.RepSkin=Mat;
  Target.Texture=Mat;
  }
}

function Reset()
{
super.Reset();
if (Target!=None && oldSkin!=None)
  Target.Skins[skinNumber]=oldSkin;
}

defaultproperties
{
Description="EventName"
}

