//-----------------------------------------------------------
//     Grabs a BoneRotation via UDP
//-----------------------------------------------------------
class MSBPoseGetButton extends MSBTwoStepButton;

var string loadName;
var MSBPoseEditor Parent;
var MSBUDPLink udpLink;
var rotator absRot;

event PostBeginPlay()
{
super.PostBeginPlay();
udpLink= spawn (class'MSBUdpLink',self);
udpLink.InitUdpLink(61840);
Log("We created a"@self);
}

function initButton(Canvas C)
{
super.initButton(C);

C.SetPos(xPos,yPos);
C.SetDrawColor(textCol.R,textCol.G,textCol.B);
C.DrawText(BtnName);
C.SetDrawColor(col.R,col.G,col.B);
}

function LeftBtnFinished(Canvas C)                      //spawns subButtons
{
udpLink.Destroy();
super.LeftBtnFinished(C);
}

function Trigger(Actor Other, Pawn EventInstigator)
{
local vector  receivedVec;
local rotator receivedRot;

// Z and X are negative and Z and Y are swapped
receivedVec.X=-(udpLink.byteData[0]-128);
receivedVec.Z=-(udpLink.byteData[1]-128);
receivedVec.Y=udpLink.byteData[2]-128;
receivedRot=rotator(receivedVec);

setBone(receivedRot,7);

MSBHUD(M.myHUD).debugString="Vector:"@string(receivedVec)@"Rotator:"@receivedRot;
}

function setBone(rotator receivedRot, int boneNumber)
{
Parent.Pose.PoseKey[boneNumber].BoneRotation=receivedRot;
Parent.Pose.PoseKey[boneNumber].KeyActor=Parent.PoseActor;
Parent.Pose.PoseKey[boneNumber].changeBoneRotation();
}

function rotator getABSBoneRot(int boneNumber)
{
return Parent.Pose.PoseKey[boneNumber].GetBoneRotationUTSkel();
}

DefaultProperties
{
widthRel=74
heightRel=24
BtnName="GetPose"
tooltip1="get Pose Data"
tooltip2="waiting for Pose Data"
}
