//-----------------------------------------------------------
//
//-----------------------------------------------------------
class MSBPoseLoadButton extends MSBListButton;

var string loadName;
var MSBPoseEditor Parent;

event PostBeginPlay()
{
local int i;
super.PostBeginPlay();
for (i=0;i<M.SavePoses.length;i++)
  ButtonList[i]="MSBPropertyButtons.MSBPropertyButtonAssign";
}

function LeftBtn(Canvas C)                      //spawns subButtons
{
local int i;
super.LeftBtn(C);
Parent.ListButton[4].deSelect();

for (i=currentpage*0;i<maxButtons; i++)
  {
  Log(ListButton[i]@i);
  if (ListButton[i]!=None)
   {
   MSBPropertyButton(ListButton[i]).Property="LoadName";
   MSBPropertyButton(ListButton[i]).BtnName=M.SavePoses[i];
   MSBPropertyButton(ListButton[i]).Parent=self;
   }
  }
}


function initButton(Canvas C)
{
super.initButton(C);

C.SetPos(xPos,yPos);
C.SetDrawColor(textCol.R,textCol.G,textCol.B);
C.DrawText(BtnName);
C.SetDrawColor(col.R,col.G,col.B);
}


event Trigger(Actor Other, Pawn EventInstigator)
{
local int i;
local MSBAniKey A;
Log("loading Pose!");
for (i=0;i<Parent.lastbone;i++)
  {
  A=Level.Game.LoadDataObject(class'MSBAniKey',loadname$"Key"$i,"MSBPose_"$loadName);
  Parent.Pose.PoseKey[i].BoneRotation=A.BoneRotation;
  Parent.Pose.PoseKey[i].KeyActor=Parent.PoseActor;
  Parent.Pose.PoseKey[i].changeBoneRotation();
  Parent.Pose.PoseKey[i].OriginOffset=A.OriginOffset;
  Parent.Pose.PoseKey[i].changeBoneLocation();
  A=None;
  }

}



DefaultProperties
{
widthRel=74
heightRel=24
BtnName="LoadPose"
tooltip="Load a Pose"
}
