class MSBBlockBrush extends MSBActor;

var MSBMasterBlock Master;
var string ObjectName;
var byte red, green, blue;
var bool bSave, bLoad;
var string ShaderName;
var class<MSBVoxelShader> ShaderClass;
var class<MSBSimpleBlock> BlockClass;

event PostBeginPlay()
{
super.PostBeginPlay();
SetCollisionSize(drawScale*5,drawScale*5);
ColorModifier(Skins[0]).Color.A=128;
}

event Trigger(Actor Other, Pawn Eventinstigator)
{
local int i;
local colorModifier cm;
local PlayerController PC;

SetCollisionSize(drawScale*5,drawScale*5);

SetColor();

if (Other!=None  && Master!=None && (Other.IsA('MSBBrushSpecial') || Other.IsA('MSBHud')) )
  {
  Master.S[Master.S.length]=Spawn(BlockClass,self);
  Master.S[Master.S.length-1].bEdit=true;
  Master.S[Master.S.length-1].SetDrawScale(DrawScale);
  Master.S[Master.S.length-1].SetDrawScale3D(DrawScale3D);
  cm=new() class'ColorModifier';
  cm.Material=ColorModifier(Skins[0]).Material;
  Master.S[Master.S.length-1].Skins[0]=cm;
  ColorModifier(Master.S[Master.S.length-1].Skins[0]).Color=ColorModifier(Skins[0]).Color;
  Master.S[Master.S.length-1].SetRotation(Master.Rotation);
  Master.S[Master.S.length-1].SetRelativeLocation(Location-Master.Location) ;
  Master.AttachToBone(Master.S[Master.S.length-1],'');
  Master.S[Master.S.length-1].Master=Master;
  if (ShaderClass!=None)
    {
    Master.S[Master.S.length-1].shader= new shaderClass;
    Master.S[Master.S.length-1].shader.Parent=Master.S[Master.S.length-1];
    }
  //manually update Faceblocks in ReferencePawn
  if (Master.S[Master.S.length-1].IsA('MSBMouthBlock'))
    {
    PC=Level.GetLocalPlayerController();
    PC.ConsoleCommand("updateFaceBlocks");
    }
  }

if (Other==None)
  {
  for (i=0;i<Master.S.length;i++)
    if (Abs(Master.S[i].Location.X-Location.X)<1 && Abs(Master.S[i].Location.Y-Location.Y)<1 && Abs(Master.S[i].Location.Z-Location.Z)<1)
      {
      Master.S[i].Destroy();
      Master.S.Remove(i,1);
      }
  }

if (ShaderName!="" && ("MSBVoxelShader."$ShaderName)!=string(ShaderClass))
  ShaderClass=class<MSBVoxelShader>(DynamicLoadObject("MSBVoxelShader."$ShaderName,class'Class'));

ColorModifier(Skins[0]).Color.A=128;
}

function SetColor()
{
ColorModifier(Skins[0]).Color.R=Red;
ColorModifier(Skins[0]).Color.G=Green;
ColorModifier(Skins[0]).Color.B=Blue;
ColorModifier(Skins[0]).Color.A=255;
}

defaultproperties
{
Green=255;
DrawType=DT_StaticMesh
Skins(0)=Material'MovieSandboxTextures.Green'
StaticMesh=StaticMesh'MoviesandboxMeshes.helperMeshes.CubeWhiteCentered'
drawscale=1.0
bStatic=false
bNoDelete=false
bHidden=false
AmbientGlow=16
ObjectName="head"
BlockClass=class'MSBSimpleBlock'
}
