//-----------------------------------------------------------
//
//-----------------------------------------------------------
class MSBCameraSwitch extends MSBActor;

var PlayerController PC;
var MSBCamera myCamera;
var int myFOV;
var bool bRunning;
var Actor originalCamera;

event PostBeginPlay()
{
super.PostBeginPlay();
PC=Level.GetLocalPlayerController();
}

event Trigger(Actor Other, Pawn EventInstigator)
{
if (bRunning)
  {
  PC.SetViewTarget(myCamera);
  PC.SetFOV(myFOV);
  }
}

function RunMovie()
{
super.RunMovie();
bRunning=true;
}

function Reset()
{
super.Reset();
bRunning=false;
}

DefaultProperties
{
ButtonList[4]=MSBPropertyButtons.MSBPropertyButton3D
Properties[4]=myCamera
ButtonList[5]=MSBPropertyButtons.MSBPropertyButtonText
Properties[5]=myFOV
bDisplayed=false
}
