class MSBBrushShader extends MSBVoxelShader;

var Material BrushMat;
var ColorModifier colMat;
var FinalBlend shad;

var int texPointer;
var float currTime,changeTime,thresh;
var bool bBlack;
var float brushScale;
var PlayerController PC;
var vector oldlocation;
var bool bHaveDrawScale;
//eyes blinking
var int blinkCount;
var int blinkLevel;

var string BrushMatTex;

function initShader(color col)
{
super.initShader(col);

BrushMat=Texture(DynamicLoadObject(BrushMatTex, class'Texture'));

colMat=new class'ColorModifier';
colMat.Color=col;
colMat.Color.R+=FRand()*12;
colMat.Color.G+=FRand()*12;
colMat.Color.B+=FRand()*12;
colMat.Color.A=255;
colMat.RenderTwoSided=false;

shad=new class'FinalBlend';
//shad.FrameBufferBlending=FB_AlphaModulate_MightNotFogCorrectly;
shad.FrameBufferBlending=FB_AlphaBlend;
colMat.Material=BrushMat;

//Non-uniform strokes
Parent.SetDrawScale(originalDrawScale+FRand()*0.5);

shad.Material=colMat;
shad.TwoSided=true;
shad.ZWrite=false;
shad.ZTest=true;
shad.AlphaTest=true;
Parent.SetDrawScale3D(brushScale*Parent.DrawScale3D);
//Log(Parent.DrawScale3D@originalDrawScale3D);
//Parent.SetDrawScale(0.3*originalDrawScale);

Parent.SetDisplayProperties(STY_Normal,shad,false);
Parent.SetDrawType(DT_Sprite);
}

function Shade(float DeltaTime, color col)
{
super.Shade(DeltaTime,col);
}

defaultproperties
{
BrushMatTex="MoviesandboxTextures.complexBrush"
changeTime=0.15
brushScale=0.25
thresh=0.02

Properties(0)="brushScale"
Properties(1)="BrushMatTex"
}
